NSRWATCH(8)

NAME
nsrwatch - command for character-based display of NetWorker status

SYNOPSIS
nsrwatch [ -s server ] [ -p polltime ]

DESCRIPTION

The nsrwatch command displays a NetWorker server's status. The server's name is specified by the optional -s server argument. If no server is specified, it defaults to the same server that would be used by a command, such as recover(8) in the current directory. If there is no NetWorker service on the selected machine, the command issues an error message. The polling interval is specified by the optional -p polltime argument (in seconds). The default is two seconds.

Users can run nsrwatch from any terminal that has enough termcap(5) capabilities for cursor positioning; it does not require any particular window system. The nsrwatch program gets its information via remote procedure calls to the specified server. This way it can be used from any machine that can access the server through the network.

The nsrwatch display is divided into a header and several panels: the server panel, the device panel, the sessions panel, the messages panel, and the pending message panel. The panel sizes are adjusted depending on the size of the terminal or window being used.

The header contains the name of the server and the current time. The server panel provides current status of the server. The first line of the panel is reserved for error messages. This line is usually blank. The next line tells how long the server has been up, and the server's release version (which may not be the same as the client's release version). The following lines display how many saves and recovers the current server has performed.

The device panel displays the devices known to the current server. For each device, the panel displays its name, the device type, the name of the mounted volume, or (unmounted) if no volume is mounted, and device status. The name may be followed by (J) if the device is configured as part of a jukebox device. The sessions panel provides current save set information for each active session (saving, recovering, or browsing). The messages panel displays a history of messages of general interest to the operator. Finally, the pending message panel displays messages that require operator intervention.

The nsrwatch program runs continuously until quit, stopped, or interrupted (Control-C, for example). Typing the q character quits the program, the Control-L forces a screen clear and redraw, while any other character forces the status to be updated.

The nsrwatch program checks for new devices at a slower rate than the polling rate, so it might take up to a minute after a new device is added before the device is noticed. To recognize the devices immediately, either restart the program or press Control-L. Deleted devices may cause a ``resource does not exist'' message temporarily, but otherwise they are noticed immediately.

The nsrwatch program adapts to changes in the screen size, if supported by the underlying environment. For example, if a window terminal emulator is resized, the size of each field may change to match the window. If the window is too small, all the devices, sessions, and messages, might not be displayed. For best results, use a window of at least 30 lines.

OPTIONS

-s server
    Sets the current NetWorker server to server.

-p polltime
    Sets the polling interval to be polltime seconds.

SEE ALSO
termcap(5), nsr_notification(5), nsr_device(5), nsr_service(5), recover(8), nsradmin(8), nsr(8), nsrd(8), nwadmin(8).